/**
 * This software is provided "AS IS," without a warranty of any kind.
 * By using it you are agreeing to not held the author responsible for any damage.
 */
package jqb;

/**
 * Represents a Question<br>
 * Consist of:
 * <li>The Question</li>
 * <li>The Answer</li>
 * <li> The Category</li>
 * <li>ID</li>
 * 
 * @author wolf.posdorfer
 * 
 */
public class Question
{

	private String _frage;
	private String _antwort;
	private String _category;
	private int _id;

	/**
	 * erstellt die Frage mit zugehöriger Antwort
	 * 
	 * @param frage
	 * @param antwort
	 * @param id
	 */
	public Question(String frage, String antwort, String category, int id)
	{
		_frage = frage;
		_antwort = antwort;
		_id = id;
		_category = category;
	}

	/**
	 * Returns the Question
	 * 
	 * @return
	 */
	public String gibFrage()
	{
		return _frage;
	}

	/**
	 * returns the answer
	 * 
	 * @return
	 */
	public String gibAntwort()
	{
		return _antwort;
	}

	/**
	 * returns the Category
	 * 
	 * @return
	 */
	public String gibCategory()
	{
		return _category;
	}

	/**
	 *Returns the Q.ID
	 */
	public int gibId()
	{
		return _id;
	}

}
