/**
 * This software is provided "AS IS," without a warranty of any kind.
 * By using it you are agreeing to not held the author responsible for any damage.
 */
package jqb;

import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
/**
 * The Text Writer used for saving the scoreboard
 * @author wolf.posdorfer
 *
 */
public class TextFileWriter
{

	private final static String SCOREBOARD = "./scoreboard.txt";

	public static void writeScoreBoard(ArrayList<Spieler> spielerliste)
	{
		ArrayList<Spieler> spieler = spielerliste;
		Collections.sort(spieler);

		FileWriter f;
		try
		{
			f = new FileWriter(SCOREBOARD, false);
			for (Spieler i : spieler)
			{
				f.write(i.gibName() + ";" + i.gibPunkte()+"\n");
			}

			f.close();
		}
		catch (IOException e)
		{
			System.err.println(e.getMessage());
		}

	}

}
